/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует класс модели меню
class TCentralComponent  : public Component,
                           public MenuBarModel
{
public:
    TCentralComponent();
    ~TCentralComponent();

    // Идентификаторы команд меню
    enum TMenuOptions
    {
        FileNew = 1,
        FileOpen = 2,
        FileQuit = 3
    };

    void paint(Graphics&);
    void resized();
    // Функции, наследуемые от MenuBarModel
    const StringArray getMenuBarNames();
    void menuItemSelected(int, int);
    const PopupMenu getMenuForIndex(int, const String&);
    
    // Вызывает контекстное меню
    void mouseDown(const MouseEvent&);

private:
    // Ярлык для вывода сообщений
    Label* pMessagesLabel;

    // Изображения - пиктограммы меню
    Image ImageNew_png;
    Image ImageOpen_png;
    Image ImageExit_png;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
