/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TMainForm.h"
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
TMainForm::TMainForm() : DocumentWindow(
        JUCEApplication::getInstance()->getApplicationName(),
        Colours::azure,
        DocumentWindow::allButtons)
{
    centreWithSize(700, 400);
    setResizable(true, false);
    setVisible(true);

    // Динамически создаём экземпляр класса нашего компонента
    pCentralComponent = new TCentralComponent(this);
    // Устанавливаем его в качестве компонента содержимого
    setContentOwned(pCentralComponent, true);
    
    // Регистрируем все созданные команды компонента содержимого
    CommandManager.registerAllCommandsForTarget(pCentralComponent);
    // Регистрируем все текущие команды приложения
    CommandManager.registerAllCommandsForTarget(JUCEApplication::getInstance());

    setMenuBar(pCentralComponent);
}
//---------------------------------------------------------------------
TMainForm::~TMainForm()
{
    setMenuBar(NULL);
}
//---------------------------------------------------------------------
void TMainForm::closeButtonPressed()
{
    JUCEApplication::getInstance()->systemRequestedQuit();
}
//---------------------------------------------------------------------

